com.pb.lisdk.maptiling

## Interface ITileCoordinateRange

All Superinterfaces:
  Iterable

    public interface ITileCoordinateRange
    extends Iterable

A tile coordinate range represents a contiguous sequence of tile coordinates. Contiguous in this context means that the corresponding tiles cover a rectangular area without any holes in it. A tile coordinate range implements `Iterable`, so individual tile coordinates can be accessed with common Java iteration idioms. In addition, a tile range exposes a row and column count, indicating how many rows and columns of tiles the contiguous rectangular area is made up of.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getColumnCount()` Returns the number of columns of this tile coordinate range.
`int` `getRowCount()` Returns the number of rows of this tile coordinate range.

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Method Detail

#### getRowCount

    int getRowCount()

Returns the number of rows of this tile coordinate range.

#### getColumnCount

    int getColumnCount()

Returns the number of columns of this tile coordinate range.